
.TextMessage{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    min-height: 40px;
    padding-left: 10px;
    padding-top: 6px;
    padding-right:30px;
    padding-bottom: 5px;
    margin: 10px;
    background-color: #fff;
    font-size: 1.0em;
    border-radius: 1rem;
    box-shadow:	0 0.125rem 0.5rem rgba(0, 0, 0, .3), 0 0.0625rem 0.125rem rgba(0, 0, 0, .2);
}

.TextMessage::before {
	content: '';
	position: absolute;
	width: 0;
	height: 0;
	bottom: 100%;
	right: 1.5em;
	border: .75rem solid transparent;
	border-top: none;
	border-bottom-color: #fff;
	filter: drop-shadow(0 -0.0625rem 0.0625rem rgba(0, 0, 0, .1));
}

.TextMessage_p {
    margin: 0;
    font-size: 12px;
}

.TextMessage span {
    opacity: 0;
}

.TextMessage span.revealed {
    opacity: 1;
}

.TextMessage_button {
    margin: 0;
    font-size: 9px;
    padding-right: 10px;
    padding-bottom: 1px;
    background: none;
    border: 0;
    font-family: inherit;
    cursor: pointer;
    position: absolute;
    right: 6px;
    bottom: 3px;
}